package com.benyun.project.third.area.service;

import com.benyun.project.third.area.domain.OmsArea;

import java.util.List;

/**
 * 行政区划数据Service接口
 *
 * @author benyun
 * @date 2023-12-14
 */
public interface IOmsAreaService
{
    /**
     * 查询行政区划数据
     *
     * @param id 行政区划数据主键
     * @return 行政区划数据
     */
    public OmsArea selectOmsAreaById(String id);

    /**
     * 查询行政区划数据列表
     *
     * @param omsArea 行政区划数据
     * @return 行政区划数据集合
     */
    public List<OmsArea> selectOmsAreaList(OmsArea omsArea);

    /**
     * 新增行政区划数据
     *
     * @param omsArea 行政区划数据
     * @return 结果
     */
    public int insertOmsArea(OmsArea omsArea);

    /**
     * 修改行政区划数据
     *
     * @param omsArea 行政区划数据
     * @return 结果
     */
    public int updateOmsArea(OmsArea omsArea);

    /**
     * 批量删除行政区划数据
     *
     * @param ids 需要删除的行政区划数据主键集合
     * @return 结果
     */
    public int deleteOmsAreaByIds(String ids);

    /**
     * 删除行政区划数据信息
     *
     * @param id 行政区划数据主键
     * @return 结果
     */
    public int deleteOmsAreaById(String id);
}
